#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const shelljs_1 = __importDefault(require("shelljs"));
const optimist_1 = require("optimist");
const dclone_1 = require("./dclone");
const { version } = require('../package.json');
const dir = optimist_1.argv._[0];
if (optimist_1.argv.v) {
    shelljs_1.default.echo(version);
    process.exit();
}
const options = {
    dir,
    http: optimist_1.argv.http
};
dclone_1.dclone(options).catch(err => {
    shelljs_1.default.rm('-rf', '.git');
    console.log(err);
    process.exit();
});
process.on('SIGINT', () => {
    shelljs_1.default.rm('-rf', '.git');
    console.log('进程中途终止');
    process.exit();
});
